[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] reproducible Archlinux: drop support for pkg.tar.xz as pkg.tar.zst has taken over

Holger Levsen gitlab at salsa.debian.org
Fri Jan 22 16:30:53 GMT 2021



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
cf5653ba by Holger Levsen at 2021-01-22T17:30:14+01:00
reproducible Archlinux: drop support for pkg.tar.xz as pkg.tar.zst has taken over

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


3 changed files:

- TODO
- bin/reproducible_build_archlinux_pkg.sh
- bin/reproducible_common.sh


Changes:

=====================================
TODO
=====================================
@@ -334,7 +334,7 @@ See link:https://jenkins.debian.net/userContent/about.html["about jenkins.debian
 ** needs to be made idempotent (currently it removes the schroot at the beginning of the job, instead of creating it elsewhere and replacing it on success at the job end…)
 ** use schroot tarballs (gzipped), moves are atomic then
 * only disable cert checking on the node running in the future
-* compare the just built pkg.tar.xz with the one available on the arch mirrors. *then* one can truely say "X% of the Arch Linux packages are reproducible and could bit by bit be reproduced in the real world."
+* compare the just built pkg.tar.zst with the one available on the arch mirrors. *then* one can truely say "X% of the Arch Linux packages are reproducible and could bit by bit be reproduced in the real world."
 * maintenance job:
 ** check for archlinux schroot sessions which should not be there and delete them. complain if that fails.
 


=====================================
bin/reproducible_build_archlinux_pkg.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright 2015-2020 Holger Levsen <holger at layer-acht.org>
+# Copyright 2015-2021 Holger Levsen <holger at layer-acht.org>
 #                2017 kpcyrd <git at rxv.cc>
 # released under the GPLv2
 
@@ -364,13 +364,9 @@ elif [ "$1" = "1" ] || [ "$1" = "2" ] ; then
 	fi
 
 	# preserve results and delete build directory
-	# .zst is the new compressor, while .xz will eventually go away
 	if [ -n "$(ls /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.zst)" ] ; then
 		# copying is enough here, we delete after this if block anyway
 		cp --preserve=timestamps -v /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.zst $TMPDIR/b$MODE/$SRCPACKAGE/
-	elif [ -n "$(ls /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.xz)" ] ; then
-		# copying is enough here, we delete after this if block anyway
-		cp --preserve=timestamps -v /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.xz $TMPDIR/b$MODE/$SRCPACKAGE/
 	else
 		echo "$(date -u) - build #$MODE for $SRCPACKAGE on $HOSTNAME didn't build a package!"
 		# debug
@@ -421,12 +417,11 @@ remote_build 1 ${NODE1}
 #
 # only do the 2nd build if the 1st produced results
 #
-# .zst is the new compressor, while .xz will eventually go away
-if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.zst 2>/dev/null|| true)" ] ; then
+if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.zst 2>/dev/null|| true)" ] ; then
 	remote_build 2 ${NODE2}
 	cd $TMPDIR/b1/$SRCPACKAGE
-	# .zst is the new compressor, while .xz will eventually go away
-	for ARTIFACT in *.pkg.tar.xz *.pkg.tar.zst ; do
+	# loop through all artifacts
+	for ARTIFACT in *.pkg.tar.zst ; do
 		[ -f $ARTIFACT ] || continue
 		echo "$(date -u) - comparing results now."
 		if diff -q $TMPDIR/b1/$SRCPACKAGE/$ARTIFACT $TMPDIR/b2/$SRCPACKAGE/$ARTIFACT ; then


=====================================
bin/reproducible_common.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2014-2020 Holger Levsen <holger at layer-acht.org>
+# Copyright 2014-2021 Holger Levsen <holger at layer-acht.org>
 #         © 2015-2018 Mattia Rizzolo <mattia at mapreri.org>
 # released under the GPLv2
 #
@@ -1052,8 +1052,7 @@ create_pkg_html() {
 	echo "      <td>" >> $HTML_BUFFER
 	#
 	#
-	# .zst is the new compressor, while .xz will eventually go away
-	if [ -z "$(cd $ARCHLINUX_PKG_PATH/ ; ls *.pkg.tar.xz.html *.pkg.tar.zst.html 2>/dev/null || true)" ] ; then
+	if [ -z "$(cd $ARCHLINUX_PKG_PATH/ ; ls *.pkg.tar.zst.html 2>/dev/null || true)" ] ; then
 		# this horrible if elif elif elif elif...  monster should be replaced
 		# by using pacman's exit code which is possible since sometime in 2018
 
@@ -1151,8 +1150,7 @@ create_pkg_html() {
 	else
 		local STATE=reproducible
 		local SOME_GOOD=false
-		# .zst is the new compressor, while .xz will eventually go away
-		for ARTIFACT in $(cd $ARCHLINUX_PKG_PATH/ ; ls *.pkg.tar.xz.html *.pkg.tar.zst.html || true) ; do
+		for ARTIFACT in $(cd $ARCHLINUX_PKG_PATH/ ; ls *.pkg.tar.zst.html || true) ; do
 			[ -f $ARTIFACT ] || continue
 			if [ -z "$(echo $ARTIFACT | grep $VERSION)" ] ; then
 				echo "deleting $ARTIFACT as version is not $VERSION"



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/cf5653baceffda544aebe1b39fd76834f8b06ea9

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/cf5653baceffda544aebe1b39fd76834f8b06ea9
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20210122/a6d1cec9/attachment-0001.html>


More information about the Qa-jenkins-scm mailing list